ALTER TABLE TBL_NOTIFICATION add "RESPONSIBILITY_FORWARDING_UUID" VARCHAR2(50);

CREATE OR REPLACE VIEW VIEW_ACTIVE_NOTIFICATION AS
 SELECT S."ID",
    S."INCIDENT_ID",
    S."VERSION",
    S."FK_REF_BRANCH",
    S."FK_REF_NOTIFICATION_PRIORITY",
    S."NOTIFICATION_TEXT",
    S."FREE_TEXT",
    S."FREE_TEXT_EXTENDED",
    S."FK_REF_NOTIFICATION_STATUS",
    S."RESPONSIBILITY_FORWARDING",
    S."RESPONSIBILITY_FORWARDING_UUID",
    S."REMINDER_DATE",
    S."EXPECTED_FINISHED_DATE",
    S."RESPONSIBILITY_CONTROL_POINT",
    S."BEGIN_DATE",
    S."FINISHED_DATE",
    S."CREATE_USER",
    S."CREATE_DATE",
    S."MOD_USER",
    S."MOD_DATE",
    S."FK_REF_GRID_TERRITORY",
    S."ADMIN_FLAG",
    S."TYPE"
   FROM ( SELECT TBL_NOTIFICATION."ID",
            TBL_NOTIFICATION."INCIDENT_ID",
            TBL_NOTIFICATION."VERSION",
            TBL_NOTIFICATION."FK_REF_BRANCH",
            TBL_NOTIFICATION."FK_REF_NOTIFICATION_PRIORITY",
            TBL_NOTIFICATION."NOTIFICATION_TEXT",
            TBL_NOTIFICATION."FREE_TEXT",
            TBL_NOTIFICATION."FREE_TEXT_EXTENDED",
            TBL_NOTIFICATION."FK_REF_NOTIFICATION_STATUS",
            TBL_NOTIFICATION."RESPONSIBILITY_FORWARDING",
            TBL_NOTIFICATION."RESPONSIBILITY_FORWARDING_UUID",
            TBL_NOTIFICATION."REMINDER_DATE",
            TBL_NOTIFICATION."EXPECTED_FINISHED_DATE",
            TBL_NOTIFICATION."RESPONSIBILITY_CONTROL_POINT",
            TBL_NOTIFICATION."BEGIN_DATE",
            TBL_NOTIFICATION."FINISHED_DATE",
            TBL_NOTIFICATION."CREATE_USER",
            TBL_NOTIFICATION."CREATE_DATE",
            TBL_NOTIFICATION."MOD_USER",
            TBL_NOTIFICATION."MOD_DATE",
            TBL_NOTIFICATION."FK_REF_GRID_TERRITORY",
            TBL_NOTIFICATION."ADMIN_FLAG",
            TBL_NOTIFICATION."TYPE",
            RANK() OVER (PARTITION BY TBL_NOTIFICATION."INCIDENT_ID" ORDER BY "TBL_NOTIFICATION"."VERSION" DESC) AS RANK
           FROM TBL_NOTIFICATION) S
  WHERE S.RANK = 1;

DELETE FROM REF_VERSION;
INSERT INTO REF_VERSION VALUES (1, '2.0.1_ORA');